import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["children", "className", "info"];
import PropTypes from 'prop-types';
import React from 'react';
import classnames from 'classnames';
import { settings } from '../../globals/js';
var prefix = settings.prefix;
/** Credits are mostly used when a photo need a source attribution. */

var Credits = function Credits(_ref) {
  var children = _ref.children,
      className = _ref.className,
      info = _ref.info,
      other = _objectWithoutProperties(_ref, _excluded);

  var classNames = classnames("".concat(prefix, "--credits"), className);
  return /*#__PURE__*/React.createElement("div", _extends({
    className: classNames
  }, other), /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefix, "--credits__info")
  }, info), children);
};

Credits.propTypes = {
  /**
  Specify the image or content
  */
  children: PropTypes.node,

  /**
  Additional className which will be added
  */
  className: PropTypes.string,

  /**
  Specifiy the info content
  */
  info: PropTypes.string
};
export default Credits;